- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# JobResult Class Reference

The JobResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for JobResult:

[legend]
List of all members.

## Public Member Functions
| JobResult ()
| Default constructor.
| ~JobResult ()
| Class destructor.
bool | IsEqual (JobResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| JobResult ()
| Default constructor.
| ~JobResult ()
| Class destructor.
## Public Attributes
std::string | status
| job status
std::string | submitTime
| time the job was submitted
std::string | scheduledStartTime
| the time when the job was supposed to start
std::string | actualStartTime
| the time when the job actually started
std::string | endTime
| the time when the job finished
TimingInformation * | timingInformation
| a pointer to the TimingInformation class
StorageCapacity * | usedDiskSpace
| a pointer to the DiskSpace class
StorageCapacity * | usedMemory
| a pointer to the MemorySize class
CPUSpeed * | usedCPUSpeed
| a pointer to the CPUSpeed class
CPUNumber * | usedCPUNumber
| a pointer to the CPUNumber class
OtherResults * | otherResults
| a pointer to the OtherResults class
TimingInformation * | timingInformation

## Detailed Description

The JobResult Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that provides the system information that is defined in the OSrL schema.

Definition at line 648 of file OSResult.h.

## Constructor & Destructor Documentation

JobResult::JobResult | ( |  | ) |

Default constructor.

Definition at line 289 of file OSResult.cpp.

References timingInformation.

JobResult::~JobResult | ( |  | ) |

Class destructor.

Definition at line 309 of file OSResult.cpp.

References otherResults, timingInformation, usedCPUNumber, usedCPUSpeed, usedDiskSpace, and usedMemory.

JobResult::JobResult | ( |  | ) |

Default constructor.

JobResult::~JobResult | ( |  | ) |

Class destructor.

## Member Function Documentation

bool JobResult::IsEqual | ( | JobResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 5690 of file OSResult.cpp.

bool JobResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7467 of file OSResult.cpp.

References OSRand(), and status.

## Member Data Documentation

std::string JobResult::status

job status

Definition at line 652 of file OSResult.h.

Referenced by OSResult::setJobStatus(), setRandom(), and OSrLWriter::writeOSrL().

std::string JobResult::submitTime

time the job was submitted

Definition at line 655 of file OSResult.h.

Referenced by OSResult::setJobSubmitTime(), and OSrLWriter::writeOSrL().

std::string JobResult::scheduledStartTime

the time when the job was supposed to start

Definition at line 658 of file OSResult.h.

Referenced by OSResult::setScheduledStartTime(), and OSrLWriter::writeOSrL().

std::string JobResult::actualStartTime

the time when the job actually started

Definition at line 661 of file OSResult.h.

Referenced by OSResult::setActualStartTime(), and OSrLWriter::writeOSrL().

std::string JobResult::endTime

the time when the job finished

Definition at line 664 of file OSResult.h.

Referenced by OSResult::setJobEndTime(), and OSrLWriter::writeOSrL().

TimingInformation* JobResult::timingInformation

a pointer to the TimingInformation class

Definition at line 667 of file OSResult.h.

Referenced by OSResult::addTimingInformation(), OSResult::getTimeNumber(), OSResult::getTimeValue(), JobResult(), OSResult::setNumberOfTimes(), OSResult::setTimeNumber(), OSResult::setTimingInformation(), OSrLWriter::writeOSrL(), and ~JobResult().

StorageCapacity* JobResult::usedDiskSpace

a pointer to the DiskSpace class

Definition at line 671 of file OSResult.h.

Referenced by OSResult::setUsedDiskSpaceDescription(), OSResult::setUsedDiskSpaceUnit(), OSResult::setUsedDiskSpaceValue(), OSrLWriter::writeOSrL(), and ~JobResult().

StorageCapacity* JobResult::usedMemory

a pointer to the MemorySize class

Definition at line 675 of file OSResult.h.

Referenced by OSResult::setUsedMemoryDescription(), OSResult::setUsedMemoryUnit(), OSResult::setUsedMemoryValue(), OSrLWriter::writeOSrL(), and ~JobResult().

CPUSpeed* JobResult::usedCPUSpeed

a pointer to the CPUSpeed class

Definition at line 679 of file OSResult.h.

Referenced by OSResult::setUsedCPUSpeedDescription(), OSResult::setUsedCPUSpeedUnit(), OSResult::setUsedCPUSpeedValue(), OSrLWriter::writeOSrL(), and ~JobResult().

CPUNumber* JobResult::usedCPUNumber

a pointer to the CPUNumber class

Definition at line 683 of file OSResult.h.

Referenced by OSResult::setUsedCPUNumberDescription(), OSResult::setUsedCPUNumberValue(), OSrLWriter::writeOSrL(), and ~JobResult().

OtherResults* JobResult::otherResults

a pointer to the OtherResults class

Definition at line 687 of file OSResult.h.

Referenced by OSResult::setNumberOfOtherJobResults(), OSrLWriter::writeOSrL(), and ~JobResult().

TimingInformation* JobResult::timingInformation

Definition at line 320 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp